Vector-2022.css – MediaWiki

From Bohemia Interactive Community
(Add .toc style back)
(Add MiniTOC ol li styles)
 
Line 3: Line 3:
max-width: unset !important;
max-width: unset !important;
}
}
#p-navigation {
#p-navigation {
margin-top: 0 !important;
margin-top: 0 !important;
Line 20: Line 21:
padding: 7px;
padding: 7px;
}
}
.toc, .toccolours {
 
border: 1px solid #a2a9b1;
.toc {
background-color: #f8f9fa;
border: 1px solid #A2A9B1;
background-color: #F8F9FA;
}
}
.toc .toctitle {
.toc .toctitle {
direction: ltr;
direction: ltr;
Line 30: Line 33:
}
}


.mw-content-ltr .toc ul,
.toc ul {
.mw-content-rtl .mw-content-ltr .toc ul {
text-align: left;
text-align: left;
}
}
Line 39: Line 41:
margin: 0.3em 0;
margin: 0.3em 0;
padding: 0;
padding: 0;
}
.toc ol {
margin: 0;
}
.toc ol > li {
margin: 0 0 0.3em 2em;
}
}

Latest revision as of 17:15, 14 April 2025

.mw-content-container,
#wikiPreview {
	max-width: unset !important;
}

#p-navigation {
	margin-top: 0 !important;
}

/* mobile */
@media screen and (max-width:999px) {
	.mw-table-of-contents-container {
		height: unset;
	}
}

/* MiniTOC */
@media screen {
	.toc {
		display: table;
		padding: 7px;
	}

	.toc {
		border: 1px solid #A2A9B1;
		background-color: #F8F9FA;
	}

	.toc .toctitle {
		direction: ltr;
		text-align: center;
	}
}

.toc ul {
	text-align: left;
}

.toc ul {
		list-style: none;
		margin: 0.3em 0;
		padding: 0;
}

.toc ol {
	margin: 0;
}

.toc ol > li {
	margin: 0 0 0.3em 2em;
}